com.lowagie.text.pdf

## Class PdfEncodings.SymbolConversion

- java.lang.Object
- - com.lowagie.text.pdf.PdfEncodings.SymbolConversion

- All Implemented Interfaces:
    ExtraEncoding
  Enclosing class:
    PdfEncodings

      private static class PdfEncodings.SymbolConversion
      extends java.lang.Object
      implements ExtraEncoding

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static IntHashtable` | `t1`
    `private static IntHashtable` | `t2`
    `private static char[]` | `table1`
    `private static char[]` | `table2`
    `private IntHashtable` | `translation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfEncodings.SymbolConversion(boolean symbol)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `byteToChar(byte[] b, java.lang.String encoding)` Converts a byte array to an Unicode string according to some encoding.
    `byte[]` | `charToByte(char char1, java.lang.String encoding)` Converts an Unicode char to a byte array according to some encoding.
    `byte[]` | `charToByte(java.lang.String text, java.lang.String encoding)` Converts an Unicode string to a byte array according to some encoding.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### t1

          private static final IntHashtable t1

    - #### t2

          private static final IntHashtable t2

    - #### translation

          private IntHashtable translation

    - #### table1

          private static final char[] table1

    - #### table2

          private static final char[] table2

  - ### Constructor Detail

    - #### PdfEncodings.SymbolConversion

          PdfEncodings.SymbolConversion(boolean symbol)

  - ### Method Detail

    - #### charToByte

          public byte[] charToByte(java.lang.String text,
                          java.lang.String encoding)

      Description copied from interface: `ExtraEncoding`
      Converts an Unicode string to a byte array according to some encoding.
      Specified by:
        `charToByte` in interface `ExtraEncoding`
      Parameters:
        `text` - the Unicode string
        `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
      Returns:
        the conversion or `null` if no conversion is supported

    - #### charToByte

          public byte[] charToByte(char char1,
                          java.lang.String encoding)

      Description copied from interface: `ExtraEncoding`
      Converts an Unicode char to a byte array according to some encoding.
      Specified by:
        `charToByte` in interface `ExtraEncoding`
      Parameters:
        `char1` - the Unicode char
        `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
      Returns:
        the conversion or `null` if no conversion is supported

    - #### byteToChar

          public java.lang.String byteToChar(byte[] b,
                                    java.lang.String encoding)

      Description copied from interface: `ExtraEncoding`
      Converts a byte array to an Unicode string according to some encoding.
      Specified by:
        `byteToChar` in interface `ExtraEncoding`
      Parameters:
        `b` - the input byte array
        `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
      Returns:
        the conversion or `null` if no conversion is supported